> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reducto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Job

> Asynchronously delete a job's stored artifacts.

Marks the job as mid-deletion (retrieval returns 409 until cleanup
finishes, then 410) and enqueues the streaq cleanup task.



## OpenAPI

````yaml openapi.json delete /job/{job_id}
openapi: 3.1.0
info:
  title: Reducto API
  version: v1.12.2-198-g2586471718b0
servers:
  - url: https://platform.reducto.ai
security: []
paths:
  /job/{job_id}:
    delete:
      summary: Delete Parse Job
      description: |-
        Asynchronously delete a job's stored artifacts.

        Marks the job as mid-deletion (retrieval returns 409 until cleanup
        finishes, then 410) and enqueues the streaq cleanup task.
      operationId: delete_parse_job_job__job_id__delete
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
        - name: include_persisted
          in: query
          required: false
          schema:
            type: boolean
            description: Also delete long-retention persisted artifacts for this job.
            default: false
            title: Include Persisted
          description: Also delete long-retention persisted artifacts for this job.
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteJobResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - SkippableHTTPBearer: []
components:
  schemas:
    DeleteJobResponse:
      properties:
        job_id:
          type: string
          title: Job Id
      type: object
      required:
        - job_id
      title: DeleteJobResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    SkippableHTTPBearer:
      type: http
      scheme: bearer

````